﻿namespace ParallelComputing
{

    using System;
    using System.Collections.Generic;
    using System.Diagnostics;
    using System.Linq;
    using System.Text;
    using System.Threading;
    using System.Threading.Tasks;

    public class TaskDemo
    {
        static void Main(string[] args)
        {
            var task = Task.Factory.StartNew(() =>
              DoSomething()).ContinueWith(t => Console.WriteLine("Parallel task returned with value of {0}", t.Result));
            task.Wait();
            Console.WriteLine("task finished");

        }

        private static int DoSomething()
        {
            for (int i = 0; i < 10000000; i++)
            {
                // om effect van parallele uitvoering te testen
            }
            return new Random().Next();
        }
    }
}
