using System;
using System.IO;
using System.Xml;
using System.Xml.XPath;
using System.Xml.Xsl;


public class Sample
{
	private const String filenameSource = "ploeg.xml";
	private const String stylesheet = "ploeg.xsl";
    private const String fileNameDest = "ploegout.xml";

	public static void Main() 
	{
        //Create the XslCompiledTransform and load the stylesheet.
        // sinds versie 2.0:
        XslCompiledTransform xslt = new XslCompiledTransform();
        xslt.Load(stylesheet);
        xslt.Transform( filenameSource, fileNameDest);
        XmlDocument doc = new XmlDocument();
        doc.Load(fileNameDest);
        doc.Save(Console.Out);
	}
}